Subject: bug#506: libvirt-daemon-system should not depend on policykit-1

From: "Thierry B." <[email-masked]>
Date: Sun, 16 Aug 2020 17:34:13 +0200

Le 15/08/2020 à 20:08, Mark Hindley a écrit :

> 
> We use gbp with pbuilder/cowbuilder. That means that the host system delegates the build
> process to the pbuilder/cowbuilder chroot. That means you can test builds for
> other architecture and suites other than the host system.
> 
> So first you set up the pbuilder/cowbuilder chroot with
> 
>  gbp --git-pbuilder --git-dist=ceres create --mirror http://pkgmaster.devuan.org/merged

OK this is what is in the maintainer's guide, except I have to use "gbp
buildpackage" otherwise it does not work.
> 
> That should create an unstable chroot in /var/cache/pbuilder/base-ceres.cow/
> 
> Then you build packages using that chroot. As part of this gbp will temporarily install the
> necessary build-deps.
> 
>  gbp --git-pbuilder --git-dist=ceres --git-export-dir=../build

OK, I have to use  "gbp buildpackage" as above.

> 
>  - Do you have stray/old source tarballs in the parent directory? That might
>    cause it. Try deleting them and letting gbp regenerate them.

Yes I had. I deleted them but get qame "error 127".

>   
>  - Have you correctly tagged the upstream release? I think you need
>    upstream/6.5.0 on commit 38c0fa742. That is how gbp generates the orig.tar.gz

No, this was not in the guide. And As far a I see, there is already one? :
https://i.imgur.com/8BibW5H.png

> 
>  - If that doesn't work, try the build with --git-verbose and see if that
>    produces more helpful error messages.
> 

here it is:

https://pastebin.com/p5hXzqbr

THBO